﻿@model ResetPasswordModel
@{
    var url = Context.Request.Path.Value;
    var action = url.Contains("reset") ? "Reset" : "Create";
    Layout = "_LoginLayout"; ViewData["Title"] = $"{action} Password";
}

<div class="login-form login-reset">
    <div class="text-center mb-10 mb-lg-5">
        <h2 class="font-weight-bold">@action Password</h2>
        <p class="text-muted font-weight-bold">Enter your new password</p>
    </div>
    <form class="form" asp-area="admin" asp-action="resetpassword" method="post" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="onFormCompleteWithSwal" id="kt_login_reset_form">
        <input type="hidden" asp-for="TimeZone" />
        @if (ViewData["msg"] != null)
        {
            <div class="alert alert-custom alert-danger mb-10" role="alert">
                <div class="alert-icon"><i class="fas fa-exclamation-triangle"></i></div>
                <div class="alert-text">@ViewData["msg"]</div>
                <div class="alert-close">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true"><i class="ki ki-close"></i></span>
                    </button>
                </div>
            </div>
        }
        else
        {
            <div class="login" id="login_reset_form_div">
                <div class="form-group py-3 m-0">
                    <input asp-for="Email" id="Email" class="form-control form-control-lg placeholder-dark-75" disabled />
                    <input asp-for="Token" />
                    <span asp-validation-for="Email" class="text-danger"></span>
                </div>
                <div class="form-group py-3 m-0">
                    <div class="input-group input-group-lg">
                        <input asp-for="Password" class="form-control form-control-lg placeholder-dark-75">
                        <div class="input-group-append"><button type="button" class="input-group-text w-60px asterisk" onclick="showHidePasswordAsterisk('Password', this)"><i class="far fa-eye"></i></button></div>
                    </div>
                </div>
                <div class="form-group py-3 m-0">
                    <div class="input-group input-group-lg">
                        <input asp-for="ConfirmPassword" class="form-control form-control-lg placeholder-dark-75">
                        <div class="input-group-append"><button type="button" class="input-group-text w-60px asterisk" onclick="showHidePasswordAsterisk('ConfirmPassword', this)"><i class="far fa-eye"></i></button></div>
                    </div>
                    <span asp-validation-for="ConfirmPassword" class="text-danger"></span>
                </div>
                <div class="form-group d-flex flex-wrap flex-center">
                    <button id="kt_login_reset_submit" class="btn btn-primary font-weight-bold px-9 py-4 my-3">Submit</button>
                    <button id="kt_login_reset_cancel" type="button" class="btn btn-light-primary  font-weight-bold px-9 py-4 my-3 mx-2 reset-btn">Reset</button>
                </div>
            </div>
        }
    </form>
</div>
@section scripts{
    <script src="~/lib/password-requirements.js"></script>
    <script>
        var tz = new Date().getTimezoneOffset();
        $("#kt_login_reset_form #TimeZone").val(tz);
        $('#Password').PassRequirements();
    </script>
}